/****************************************************
 * Programma di test per IOCTL del driver CHARBUF
 ****************************************************/

#include <stdio.h>
#include "cb_ioctl.h"
#include <sys/ioctl.h>
#include <unistd.h> //per le open, close, create, ecc
#include <sys/types.h> //flag x open
#include <sys/stat.h>
#include <fcntl.h>

#define STR "Super classifica show\n"

int valore=10;

struct cb_buf cb = 
{
   .dim=sizeof(STR),
   .buf=STR
};

char *s;

struct cb_buf *pcb=&cb;

//----- MAIN -----
int main(int c, char **v)
{
   int descriptor;
   
   descriptor=open(v[1],O_RDONLY);
   if(descriptor < 0)
     {
	printf("Error while opening %s\n", v[1]);
	return descriptor;
     }
   
   printf("Aperto file dev: %i\n",descriptor);
   printf("Return IO-CTL: %i\n", ioctl(descriptor, CB_IOCTL_QSIZE));
   ioctl(descriptor, CB_IOCTL_SSIZE, &valore);
   ioctl(descriptor, CB_IOCTL_SBUF, &pcb);
//   ioctl(descriptor, CB_IOCTL_GBUF, &s);
//   printf("%s\n",s);
   close(descriptor);
   return 0;
}
